Uploaded image for project: 'CLOUDIFY (R&D)'
  1. CY-155

Install fails when postgres password is changed

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Unprioritized
    • Resolution: Fixed
    • Fix Version/s: 4.4, 4.3.1
    • Labels:
      None
    • Steps to Reproduce:
      Hide
      Steps to reproduce:
      ------------------
      1. Change postgresql.password in the config.yaml
      2. Run install

      Expected result:
      ---------------
      Postgres is used with a new password but restservice still works

      Actual result:
      -------------
      Restservice isn't able to connect to the database
      Show
      Steps to reproduce: ------------------ 1. Change postgresql.password in the config.yaml 2. Run install Expected result: --------------- Postgres is used with a new password but restservice still works Actual result: ------------- Restservice isn't able to connect to the database
    • Severity:
      High
    • Target Version:
      4.4
    • Premium Only:
      yes
    • Found In Version:
      4.4
    • Sprint:
      4.4 Sprint 2, 4.4 Sprint 1
    • Epic Link:
    • Bug Type:
      legacy bug
    • Customer Encountered:
      Yes
    • Release Notes:
      yes

      Description

      Rest-service configuration has hardcoded credentials for the database, so effectively they can't be changed during install

        Attachments

          Activity

            People

            • Assignee:
              lukasz.maksymczuk Łukasz Maksymczuk
              Reporter:
              lukasz.maksymczuk Łukasz Maksymczuk
              QA Owner:
              Uri Wygodny (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: